RENAME TABLE CONCEPT_TEXT_FORMAT TO CONCEPT_TEXT_FORMAT_TEMP
;
CREATE TABLE CONCEPT_TEXT_FORMAT(
	`CON_ID` bigint NOT NULL,
    `FACET_TYPE_ENUM` bigint NOT NULL,
    `FACET_VALUE` nvarchar(1024),
	 CONSTRAINT PK_CONCEPT_TEXT_FORMAT PRIMARY KEY(`CON_ID`,`FACET_TYPE_ENUM`)  
) ENGINE=InnoDB DEFAULT CHARSET=utf8
;

INSERT INTO CONCEPT_TEXT_FORMAT SELECT * FROM CONCEPT_TEXT_FORMAT_TEMP
;

DROP TABLE CONCEPT_TEXT_FORMAT_TEMP
;
ALTER TABLE CONCEPT_TEXT_FORMAT 
ADD CONSTRAINT FK_CONCEPT_TEXT_FORMAT_CONCEPT 
FOREIGN KEY (CON_ID) 
REFERENCES CONCEPT(CON_ID) 
ON DELETE CASCADE;
